> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/automation/runbooks/runbook-references/org/security/list-pim-rolegroups-without-owners_scheduled.md).

# List Pim Rolegroups Without Owners Scheduled

{% hint style="info" %}
This is a scheduled runbook. It is designed to run on a recurring schedule rather than being triggered for a single object. See [Scheduling](/automation/runbooks/scheduling.md) for details on how to configure runbook schedules.
{% endhint %}

### Description

Finds role-assignable groups that have PIM eligible role assignments but no owners assigned. Optionally sends an email alert containing the group names.

### Location

Organization → Security → List Pim Rolegroups Without Owners (Scheduled)

**Full Runbook name**

rjgit-org\_security\_list-pim-rolegroups-without-owners\_scheduled

### Details

| Property         | Value                              |
| ---------------- | ---------------------------------- |
| Version          | 1.0.1                              |
| Required modules | RealmJoin.RunbookHelper (>= 0.8.9) |
| Schedulable      | yes                                |

### Permissions

#### Application permissions

* **Type**: Microsoft Graph
  * Group.Read.All
    * *Lists role-assignable groups and reads their owners to find ownerless ones*
  * RoleManagement.Read.Directory
    * *Queries roleEligibilitySchedules per group to detect PIM-eligible role assignments*
  * Mail.Send *(optional — feature: Email report)*
    * *Sends the alert email via /users/{From}/sendMail when ownerless PIM groups were found*
  * Organization.Read.All *(optional — feature: Email report)*
    * *Reads the tenant's verified domain for the alert email body*

### Parameters

#### SendEmailIfFound

If set to true, sends an email when matching groups are found.

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### From

Sender email address used to send the alert.

| Property            | Value                 |
| ------------------- | --------------------- |
| Required            | false                 |
| Default Value       | <reports@contoso.com> |
| Type                | String                |
| Portal display name | Sender mail address   |

#### To

Recipient email address for the alert.

| Property            | Value                         |
| ------------------- | ----------------------------- |
| Required            | false                         |
| Default Value       | <support@glueckkanja-gab.com> |
| Type                | String                        |
| Portal display name | Send mail to                  |

[Back to Runbook Reference overview](/automation/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/automation/runbooks/runbook-references/org/security/list-pim-rolegroups-without-owners_scheduled.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
